Opened 8 years ago

Closed 6 years ago

#1729 closed defect (wontfix)

cc session timeout causes noisy traceback from b10-stats-httpd

Reported by: jreed Owned by:
Priority: medium Milestone: Remaining BIND10 tickets
Component: statistics Version: bind10-old
Keywords: Cc:
CVSS Scoring: Parent Tickets:
Sensitive: no Defect Severity: N/A
Sub-Project: Core Feature Depending on Ticket:
Estimated Difficulty: 0 Add Hours to Ticket: 0
Total Hours: 0 Internal?: no

Description

Traceback (most recent call last):
  File "/home/jreed/src/bind10/src/lib/python/isc/cc/session.py", line 203, in _receive_full_buffer
    self._receive_len_data()
  File "/home/jreed/src/bind10/src/lib/python/isc/cc/session.py", line 163, in _receive_len_data
    new_data = self._receive_bytes(self._recv_len_size)
  File "/home/jreed/src/bind10/src/lib/python/isc/cc/session.py", line 149, in _receive_bytes
    data = self._socket.recv(size)
socket.timeout: timed out

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/home/jreed/src/bind10/src/bin/stats/b10-stats-httpd", line 827, in <module>
    stats_httpd = StatsHttpd()
  File "/home/jreed/src/bind10/src/bin/stats/b10-stats-httpd", line 187, in __in it__
    self.open_mccs()
  File "/home/jreed/src/bind10/src/bin/stats/b10-stats-httpd", line 199, in open_mccs
    SPECFILE_LOCATION, self.config_handler, self.command_handler)
  File "/home/jreed/src/bind10/src/lib/python/isc/config/ccsession.py", line 186, in __init__
    self._session = Session(socket_file)
  File "/home/jreed/src/bind10/src/lib/python/isc/cc/session.py", line 57, in __init__
    env, msg = self.recvmsg(False)
  File "/home/jreed/src/bind10/src/lib/python/isc/cc/session.py", line 121, in recvmsg
    data = self._receive_full_buffer(nonblock)
  File "/home/jreed/src/bind10/src/lib/python/isc/cc/session.py", line 218, in _receive_full_buffer
    raise SessionTimeout("recv() on cc session timed out")
isc.cc.session.SessionTimeout: recv() on cc session timed out
Exception AttributeError: "'ModuleCCSession' object has no attribute '_session'" in <bound method ModuleCCSession.__del__ of <isc.config.ccsession.ModuleCCSession object at 0x2032a3cd0>> ignored
2012-02-29 15:27:37.994 INFO  [b10-boss.boss] BIND10_PROCESS_ENDED process 13233 of b10-stats-httpd ended with status 256

This is due to same problem as #1726.

But I open a new ticket since I think its failure should be friendlier, such as:

2012-02-29 15:27:46.824 ERROR [b10-xfrin.xfrin] XFRIN_UNKNOWN_ERROR unknown error: recv() on cc session timed out

or

2012-02-29 15:27:46.854 ERROR [b10-zonemgr.zonemgr] ZONEMGR_SESSION_TIMEOUT timeout on session to command channel daemon

By the way, those two examples maybe should use identical format for same error?

So original problem to be fixed in #1726. Make the output clean in this ticket.

Subtickets

Change History (4)

comment:1 Changed 8 years ago by naokikambe

Although it isn't about the log message, that unittest doesn't seem to consider the situation which cfgmgr or msgq doesn't respond when stats httpd is starting. Stats daemon should be also fixed.

comment:2 Changed 8 years ago by shane

  • Milestone New Tasks deleted

comment:3 Changed 6 years ago by tomek

  • Milestone set to Remaining BIND10 tickets

comment:4 Changed 6 years ago by tomek

  • Resolution set to wontfix
  • Status changed from new to closed
  • Version set to old-bind10

This issue is related to bind10 code that is no longer part of Kea.

If you are interested in BIND10/Bundy framework or its DNS components,
please check http://bundy-dns.de.

Closing ticket.

Note: See TracTickets for help on using tickets.